## @id $Id$

##       1         2         3         4         5         6         7         8

## 45678901234567890123456789012345678901234567890123456789012345678901234567890

EXTRA_DIST = servicedock.js package.json.in public routes sockets docker views

nodejsdir = ${pkgdatadir}/nodejs

sysconf_DATA = etc/@PACKAGE_NAME@.json

all: node_modules

node_modules: package.json.in
	npm install

clean-local:
	-rm -r node_modules

install-data-hook:
	test -d $(DESTDIR)${nodejsdir} || mkdir -p $(DESTDIR)${nodejsdir}
	chmod -R u+w $(DESTDIR)${nodejsdir}
	cp -r . $(DESTDIR)${nodejsdir}

uninstall-local:
	-chmod -R u+w $(DESTDIR)${nodejsdir}
	-rm -rf $(DESTDIR)${nodejsdir}

MAINTAINERCLEANFILES = makefile.in
